//
// Created by 阳坤 on 2022/2/23.
//

#ifndef JNI_IMAGE_BLUR_DETECTION_H
#define JNI_IMAGE_BLUR_DETECTION_H

/**
 * 默认模糊阀值
 */
#define DEFAULT_BLUR_THRESHOLD  100
/**
 * 默认像素值阀值
 */
#define DEFAULT_PIX_THRESHOLD  0.7f

#include "opencv2/opencv.hpp"
#include "opencv2/imgcodecs.hpp"
#include "opencv2/highgui.hpp"
#include "vector"

int image_blur_detection(const char *filename);

int doDetection(cv::Mat mat);

int bytes_blur_detection(uint8_t *data, int len);

int image_color_ratio(cv::Mat image);


#endif //JNI_IMAGE_BLUR_DETECTION_H
